Subject: Re: bug#8780: 24.0.50; Coding system and eol style auto-detection after opening remote files

From: Eli Zaretskii <[email-masked]>
Date: Thu, 09 Jun 2011 16:05:34 +0300

> Date: Thu, 9 Jun 2011 14:25:19 +0200
> From: Dani Moncayo <[email-masked]>
> Cc: [email-masked]
> 
> > I fixed it on the emacs-23 branch (revision 100596 there).  The
> > required one-line change is reproduced below, if you cannot wait for
> > it to be merged to the trunk.
> 
> I've just tested your patch and it works :). Thanks a lot!

Thanks for testing.

> > "ftp" is the default only if you don't have PuTTY installed and on
> > PATH.
> 
> Ah, I didn't know it.  Is it documented somewhere?  I've just checked
> (info "(emacs)Remote Files"), but it seems to say nothing about that.

It should be in the Tramp manual, but I don't find anything about how
the value of tramp-default-method is computed there.  Suggest to file
a bug report against Tramp documentation.

My conclusion that this is how Tramp behaves was based on what I see
on my system: when pscp is on PATH, tramp-default-method is "pscp";
otherwise it's "ftp".

> Also, I've tried to test that:
>  * I've started Emacs from a console where the PATH environment
> variable includes the "putty.exe" directory.
>  * I've opened a remote file: C-x C-f /user@host:/path-to-file, where
> user is not "ftp" and host doesn't begin with "ftp.".  But the
> selected method seems to keep being "ftp".
> 
> What am I missing here?

pscp will only work if you have an ssh login on that host.  Do you?